<?php

/**
 * The admin-specific functionality of the plugin.
 *
 * @link       http://teamof.net/elegant-auth
 * @since      1.0.0
 *
 * @package    OF_Elegant_Auth
 * @subpackage OF_Elegant_Auth/admin
 */

/**
 * The admin-specific functionality of the plugin.
 *
 * @package    OF_Elegant_Auth
 * @subpackage OF_Elegant_Auth/admin
 * @author     TeamOF
 */
class TeamOF_Elegant_Auth_Admin {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of this plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

		$this->load_dependencies();

	}

	private function load_dependencies() {

		require_once plugin_dir_path( dirname( __FILE__ ) ) .  'admin/class-of-elegant-auth-plugin-settings.php';

	}
	

	public function enqueue_styles() {

		// NO CSS ATM
		// wp_enqueue_style( $this->plugin_name, plugin_dir_url( __FILE__ ) . '', array(), $this->version, 'all' );

	}


	public function enqueue_scripts() {

		// NO JS ATM
		// wp_enqueue_script( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'js/', array( 'jquery' ), $this->version, false );

	}



}
